%global commit0 fbad7b36acaa89a54023930af70805649f962999

Name:       libnsl2
Version:    1.3.0
Release:    2
Summary:    Public client interface library for NIS(YP) and NIS+
License:    BSD and LGPLv2+
URL:        https://github.com/thkukuk/libnsl
Source0:    https://github.com/thkukuk/libnsl/archive/%{commit0}.tar.gz#/libnsl-%{commit0}.tar.gz

BuildRequires: automake, autoconf, libtirpc-devel, gettext-devel, libtool

%description
This package contains the libnsl library. This library contains
the public client interface for NIS(YP) and NIS+.
This code was formerly part of glibc, but is now standalone to
be able to link against TI-RPC for IPv6 support.
The NIS(YP) functions are still maintained, the NIS+ part is
deprecated and should not be used anymore

%package devel
Summary: The development for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The package contains lib and header files for developing application
that use %{name}

%prep
%setup -q -n libnsl-%{version}

%build

export CFLAGS="%{optflags}"

autoreconf -fiv

%configure\
    --libdir=%{_exec_prefix}/%{_lib}\
    --includedir=%{_prefix}/include

make %{?_smp_mflags}

%install

make install DESTDIR=%{buildroot}

rm -f %{buildroot}/%{_libdir}/libnsl.a || :
rm -f  %{buildroot}/%{_libdir}/libnsl.la || :

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%{_exec_prefix}/%{_lib}/libnsl.so.2
%{_exec_prefix}/%{_lib}/libnsl.so.2.0.1

%license COPYING

%files devel
%{_exec_prefix}/%{_lib}/libnsl.so
%{_exec_prefix}/%{_lib}/pkgconfig/libnsl.pc
%{_prefix}/include/*

%changelog
* Fri Apr 23 2021 yangzhuangzhuang<yangzhuangzhuang1@huawei.com> - 1.3.0-2
- Delete so file of the old version

* Sat Aug 1 2020 zhangguangzhi<zhangguangzhi3@huawei.com> - 1.3.0-1
- update version to 1.3.0

* Thu Sep 5 2019 caomeng<caomeng5@huawei.com> - 2.10.0-4
- Package init
